Bug 1027478 - Systemd is stuck in loop when reading possibly wrong acpi FPDT
Systemd is stuck in loop when reading possibly wrong acpi FPDT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 17:30 EST by Pavel Holica
Modified: 2013-11-24 18:49 EST (History)
7 users (show)

See Also:
Fixed In Version: systemd-208-6.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1029346 (view as bug list)
Environment:
Last Closed: 2013-11-24 18:49:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/sys/firmware/acpi/tables/FPDT taken from system (144 bytes, application/octet-stream)
2013-11-06 17:30 EST, Pavel Holica
no flags Details
proposed patch (977 bytes, patch)
2013-11-06 17:32 EST, Pavel Holica
no flags Details | Diff

  None (edit)
Description Pavel Holica 2013-11-06 17:30:17 EST
Created attachment 820773 [details]
/sys/firmware/acpi/tables/FPDT taken from system

Description of problem:
I've upgraded to systemd-208-4 (together with Fedora 20) on my Acer Aspire One D270 netbook and suffered stuck during boot after systemd launched (in initramfs).
I've tried acpi=off and system booted. After code investigation I found that acpi_get_boot_usec in src/shared/acpi-fpdt.c is stuck in loop if rec->length is zero.

Version-Release number of selected component (if applicable):
systemd-208-4

How reproducible:
always

Steps to Reproduce:
1. read FPDT in attachment using acpi_get_boot_usec function

Actual results:
function is stuck in loop

Expected results:
function returns -EINVAL or something else, but doesn't loop

Additional info:
I have current BIOS for system.
Comment 1 Pavel Holica 2013-11-06 17:32:11 EST
Created attachment 820774 [details]
proposed patch

Here is patch that I've tested on my system. This change doesn't have any effect on correct sizes.
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-11-07 01:25:30 EST
Applied in http://cgit.freedesktop.org/systemd/systemd/commit/?id=f8f8193.
Comment 3 Fedora Update System 2013-11-19 23:55:19 EST
systemd-208-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-208-6.fc20
Comment 4 Fedora Update System 2013-11-23 22:33:34 EST
Package systemd-208-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-208-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21935/systemd-208-6.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-24 18:49:16 EST
systemd-208-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.